INTERFACE
SUBROUTINE ESLEXTPOL(KSLWIDEN,KSLWIDES,KASLB1,KDGSAG,KDGENG,KDGSAL,KDGENL,&
 & KFLDSLB,KSLSTA,KSLONL,KSLOFF,KLOENG,&
 & KFRSTLOFF,KYFRSTACTLAT,KYLSTACTLAT,KFIXFLD,KTYP,&
 & PB1A,KMASK2,KMASK3) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KSLWIDEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSLWIDES
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSAG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGENG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSAL
INTEGER(KIND=JPIM),INTENT(IN) :: KDGENL
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSLB
INTEGER(KIND=JPIM),INTENT(IN) :: KSLSTA(KDGSAL-KSLWIDEN:KDGENL+KSLWIDES)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLONL(KDGSAL-KSLWIDEN:KDGENL+KSLWIDES)
INTEGER(KIND=JPIM),INTENT(IN) :: KSLOFF(KDGSAL-KSLWIDEN:KDGENL+KSLWIDES)
INTEGER(KIND=JPIM),INTENT(IN) :: KLOENG(KDGSAG:KDGENG)
INTEGER(KIND=JPIM),INTENT(IN) :: KFRSTLOFF
INTEGER(KIND=JPIM),INTENT(IN) :: KYFRSTACTLAT
INTEGER(KIND=JPIM),INTENT(IN) :: KYLSTACTLAT
INTEGER(KIND=JPIM),INTENT(IN) :: KFIXFLD(2)
INTEGER(KIND=JPIM),INTENT(IN) :: KTYP
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1A(KASLB1,KFLDSLB,1)
INTEGER(KIND=JPIM),OPTIONAL,INTENT(OUT) :: KMASK2(KASLB1+4)
INTEGER(KIND=JPIM),OPTIONAL,INTENT(OUT) :: KMASK3(KASLB1+4)
END SUBROUTINE ESLEXTPOL
END INTERFACE
